Bug 887273 - [eap6] renaming DomainDeployment opreration breaks CLI API
[eap6] renaming DomainDeployment opreration breaks CLI API
Product: RHQ Project
Classification: Other
Component: Agent, CLI (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2012-12-14 09:14 EST by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-25 08:50:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-12-14 09:14:31 EST
Description of problem: in JON 3.1.2.ER5 there has been changed displayName for 

resource type : DomainDeployment
operation: Deploy To Server-Group

operation has now new name 'Assign To Server-Group'

This is issue in CLI, where methods generated on ResourceProxy are based on displayName.

If anyone has a CLI script that contains

ProxyFactory.getResource(<id of domain deployment>).deploytoServerGroup

his scripts are going to start failing. once he would upgrade to 3.1.2.
Correct method name would be assigntoServerGroup 

I think we should not break our API.

Version-Release number of selected component (if applicable):
JON 3.1.2.ER5

How reproducible:always
Comment 1 Heiko W. Rupp 2012-12-17 04:40:17 EST
An api based on the display name is m.E. broken -- especially as the display name is very likely to be I18Nd in the future.

Note You need to log in before you can comment on or make changes to this bug.